package scopes_test

import (
	tbase "testing"

	"git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/config"
	"git.sr.ht/~cco/go-scopes/testing"
	"git.sr.ht/~cco/go-scopes/tests/etc"
)

func TestConfig(tb *tbase.T) {
	t := testing.SetUp(tb)
	t.Run("config", ConfigTest)
}

func ConfigTest(t *testing.T) {
	t.AssertEqual(etc.Overrides()[etc.NAME], "overridden")
	cfg := config.Setup(etc.Config())
	t.AssertEqual(cfg.Name(), "dummy")
	appCfg := cfg.(*scopes.Cfg)
	t.AssertEqual(appCfg.Home, "/home/scopes")
	scopes.RunApp(cfg)
}
